# Unarchive a GB Bank Account

Unarchive a GBBankAccount object.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/vault/gb_bank_accounts/gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6/unarchive \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
  "object": "v2.core.vault.gb_bank_account",
  "archived": false,
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "last4": "2345",
  "created": "2024-08-16T21:49:30.380Z",
  "sort_code": "108800",
  "supported_currencies": [
    "gbp"
  ],
  "confirmation_of_payee": {
    "result": {
      "created": "2024-10-25T17:29:53.000Z",
      "match_result": "partial_match",
      "matched": {
        "business_type": "personal",
        "name": "Jenny Rosen"
      },
      "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
      "provided": {
        "business_type": "personal",
        "name": "Jennifer Rosen"
      }
    },
    "status": "confirmed"
  },
  "livemode": true
}
```

## Returns

Returns a [GB Bank Account object](https://docs.stripe.com/api/v2/core/vault/gb-bank-accounts/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | gb_bank_account_cannot_be_unarchived | Returned when the GB Bank Account is controlled by an alternate resource and cannot be unarchived. |
| 404 | not_found | The resource wasn’t found. |
